<template>
  <v-layout-default>
    <div class="bg-white rounded-[20px] relative shadow-sm border" v-loading="isLoading">
      <div
        class="  border-b border-[#F3F3F3] py-[19px]  pb-[10px]  px-[28px]  font-mm font-bold  text-[20px] text-blue-600  flex  items-center  justify-between  ">
        <div>
          <div class="space-x-[13px] flex items-center">
            <fa-icon class="text-2xl" :icon="`fa-user-secret`" />
            <h2>User Role</h2>
          </div>
          <div class="space-x-[13px] flex items-center">
            <div class="w-6"></div>
            <v-breadcrumb class="mt-1" :items="[
              { name: 'User Role  ', path: '/setting/user-role' },
              { name: 'Edit', path: '/setting/user-role/edit/' + $route.params?.id, },
            ]" />
          </div>
        </div>
      </div>
      <div class="p-[19px] min-h-[300px]">
        <VUserRoleForm v-if="!isLoading" :isEdit="true" :data="user" @submit="onSubmit" />
      </div>
    </div>
    <div class="mt-2"></div>
  </v-layout-default>
</template>

<script>
import VLayoutDefault from "@/pages/layout/VLayoutDefault.vue";
import VUserRoleForm from "@/components/Form/VUserRoleForm";
import {  mapGetters } from "vuex";
import VBreadcrumb from "@/components/VBreadcrumb";

export default {
  name: "v-user-role-edit",
  components: {
    VLayoutDefault,
    VUserRoleForm,
    VBreadcrumb,
  },

  computed: {
    ...mapGetters("UserRole", ["isLoading"]),
   
  },
  
};
</script>